Get Calculation-specific Conversation History
get
/ai/applications/{applicationName}/databases/{databaseName}/calculation/conversation/{conversationId}
Gets convesation history for a specified conversations.
Request
Path Parameters
-
applicationName(required):
Application name.
-
conversationId(required):
Conversation ID.
-
databaseName(required):
Database name.
Response
200 Response
OK
Conversations retrieved successfully.
400 Response
Bad Request
Failed to retrieve conversations.
Examples
The following example shows how to fetch full query/response sequence for a conversation.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X 'GET' \
'http://myserver.example.com:9000/essbase/rest/v1/ai/applications/SampleAI/databases/Basic/calculation/conversation/57971B41-CAE7-F7DC-E063-4F424664F391' \
-H 'accept: */*' \
-u %User%:%Password%Example of Response Body
The response includes the full query/response for the conversation in JSON format:
{
"Assign 1000 to budget for christmas month": "FIX(\"Dec\")\n\"Budget\" = 1000;\nENDFIX",
"Copy data from Actual to Budget for children of East and west.": "FIX(@CHILDREN(\"East\"),@CHILDREN(\"West\"))\nDATACOPY \"Actual\" TO \"Budget\";\nENDFIX"
}